import ExpectedDateInfo from './components/expected-date-info-template';
import DeliveryInfoTable from './components/calendar/calendar-fields-template';




export const Block = ({}) => {

	const ruleSetting = af_wc_daps_blocks_data;
	const selectionMode = ruleSetting.applied_rule;

	const checkoutFieldPosition  = ruleSetting.af_wc_daps_delivery_info_field_position;
	const orderDeliveryDateMsg   = ruleSetting.af_wc_daps_order_delivery_date_msg;
	const orderTimeslotMsg   	 = ruleSetting.af_wc_daps_order_timeslot_msg;


	var expectedInfoData ={};
	var calendarData ={};


	if('expected_date' == selectionMode){
		expectedInfoData = {
			baseUrl: ruleSetting.base_url,
			enableIcon: af_wc_daps_blocks_data.enable_icon,
			iconUrl: af_wc_daps_blocks_data.icon_url,
			imageWidth: af_wc_daps_blocks_data.image_width,
			bgColor: af_wc_daps_blocks_data.bg_color,
			textColor: af_wc_daps_blocks_data.text_color,
			expectedDateMessage:af_wc_daps_blocks_data.rule_data
		  };
	}

	if('calendar' == selectionMode){
		calendarData = {
			ruleId					: ruleSetting.rule_data.af_wc_daps_rule_id,
			dateLabel				: ruleSetting.rule_data.af_wc_daps_delivery_date_label,
			timeSlotLabel			: ruleSetting.rule_data.af_wc_daps_delivery_time_slot_label,
			deliveryInfoLabel		: ruleSetting.rule_data.af_wc_daps_enable_delivery_info_label,
			feeString				: ruleSetting.rule_data.af_wc_daps_fee_string,
			timeSlotType			: ruleSetting.rule_data.af_wc_daps_time_slot_type,
			timeZone				: ruleSetting.rule_data.time_zone
			,
		  };
	}



	//mandatory date and time slot fields
	jQuery('.wc-block-components-checkout-place-order-button').on('click', function() {
		if ('calendar' == selectionMode) {
			const isDateMandatory = ruleSetting.is_mandatory_order_delivery_field;
			const isTimeslotMandatory = ruleSetting.is_mandatory_order_timeslot_field;

			if (isDateMandatory && '' == jQuery('#af-wc-daps-date-checkout-page').val()) {
				addErrorNotice(orderDeliveryDateMsg);
				window.scrollTo({ top: 0, behavior: 'smooth' });
				return false;
			}

			if('' != jQuery('#af-wc-daps-date-checkout-page').val() && isTimeslotMandatory &&  '' == jQuery('#af-wc-daps-time-slot-select-checkout-page').val()){
				addErrorNotice(orderTimeslotMsg);
				window.scrollTo({ top: 0, behavior: 'smooth' });
				return false;

			}
		}
	});
	
	
	//helper function
	function addErrorNotice(message){
		jQuery('#delivery-required-field-notice').remove();
		jQuery('#main').before(
			'<div class="wc-block-components-notice-banner is-error" id="delivery-required-field-notice" role="alert">' +
				'<div class="wc-block-components-notice-banner__content">' +
				message +
				'</div></div>'
		);
	}


	setTimeout(() => {
		if(checkoutFieldPosition == "woocommerce_checkout_before_customer_details"){
			jQuery('#af-wc-daps-delivery-main-container').insertBefore('.wc-block-checkout__contact-fields');
		}
		else if(checkoutFieldPosition == 'woocommerce_before_checkout_billing_form'){
			jQuery('#af-wc-daps-delivery-main-container').insertAfter('.wc-block-checkout__use-address-for-billing');		
		}
		else if(checkoutFieldPosition == 'woocommerce_after_checkout_billing_form'){
			if(jQuery('.wc-block-checkout__shipping-option').length){
				jQuery('#af-wc-daps-delivery-main-container').insertBefore('.wc-block-checkout__shipping-option');		
			}
			else if(jQuery('.wc-block-checkout__billing-fields').length){
				jQuery('#af-wc-daps-delivery-main-container').insertAfter('.wc-block-checkout__billing-fields');
			}
			else{
				jQuery('#af-wc-daps-delivery-main-container').insertBefore('.wc-block-checkout__contact-fields');
			}		
		}
		else if(checkoutFieldPosition == 'woocommerce_before_order_notes'){
			jQuery('#af-wc-daps-delivery-main-container').insertBefore('.wc-block-checkout__order-notes');		
		}
		else if(checkoutFieldPosition == 'woocommerce_after_order_notes'){
			jQuery('#af-wc-daps-delivery-main-container').insertAfter('.wc-block-checkout__order-notes');		
		}
		else {
			jQuery('#af-wc-daps-delivery-main-container').insertBefore('.wc-block-checkout__contact-fields');
		}
	}, 500);


	
	return (
		<>
		{(selectionMode === 'expected_date' || selectionMode === 'calendar') && (
			<div id='af-wc-daps-delivery-main-container' style={{margin:"20px 0px"}}>
				{selectionMode === 'expected_date' && (
					<ExpectedDateInfo {...expectedInfoData}/>
				)}

				{selectionMode === 'calendar' && (
					<DeliveryInfoTable {...calendarData}/>
				)}
			</div>
		)}
		</>
	);
};
