import React from 'react';
import CheckboxField from './checkbox-field';
import DateField from './date-field';
import TimeSlotField from './timeslot-field';

const DeliveryInfoTable = ({
  ruleId,
  deliveryInfoLabel,
  feeString,
  dateLabel,
  timeSlotType,
  timeSlotLabel,
  timeZone,
}) => (
  <>
    <input type="hidden" className="feeString" value={feeString} />

    {/* Checkbox Field Outside of Flex Container */}
    <CheckboxField label={deliveryInfoLabel} id="af-wc-daps-enable-checkout-page" name="af_wc_daps_enable_checkout_page" />

    {/* Flex Container for Half-Width Fields */}
    <div className="delivery-info-container">
      <DateField label={dateLabel} name="af_wc_daps_date_checkout_page" ruleId={ruleId} className="half-width" />

      {timeSlotType === 'time_selector' && (
        <TimeSlotField
          label={timeSlotLabel}
          id="af-wc-daps-time-checkout-page"
          name="af_wc_daps_time_checkout_page"
          options={{ defaultText: 'Select Time Slot' }}
          timeZone={timeZone}
          className="half-width"
        />
      )}

      {timeSlotType === 'time_slots' && (
        <TimeSlotField
          label={timeSlotLabel}
          id="af-wc-daps-time-slot-select-checkout-page"
          name="af_wc_daps_time_slot_select_checkout_page"
          options={{ defaultText: 'Select Time Slot' }}
          timeZone={timeZone}
          className="half-width"
        />
      )}
    </div>
  </>
);

export default DeliveryInfoTable;
