import React from 'react';

const CheckboxField = ({ label, id, name }) => (
  <div className="wc-block-components-checkbox">
    <label htmlFor={id}>
      <input
        id={id}
        className="wc-block-components-checkbox__input"
        type="checkbox"
        name={name}
        aria-invalid="false"
      />
      <svg
        className="wc-block-components-checkbox__mark"
        aria-hidden="true"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 24 20"
      >
        <path d="M9 16.2L4.8 12l-1.4 1.4L9 19 21 7l-1.4-1.4L9 16.2z"></path>
      </svg>
      <span className="wc-block-components-checkbox__label">{label}</span>
    </label>
  </div>
);

export default CheckboxField;
