import React from 'react';

const TimeSlotField = ({ label, id, name, options, timeZone }) => (
  <div className="wc-block-components-state-input">
    <div className="wc-blocks-components-select">
      <div className="wc-blocks-components-select__container">
        <label htmlFor={id} className="wc-blocks-components-select__label">
          {label} ({timeZone})
        </label>
        <select id={id} name={name} className="wc-blocks-components-select__select">
          <option value="">{options.defaultText}</option>
          {options.list && options.list.map((option, index) => (
            <option key={index} value={option.value} data-alternate-values={JSON.stringify(option.alternateValues)}>
              {option.label}
            </option>
          ))}
        </select>
        <svg viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" width="24" height="24" className="wc-blocks-components-select__expand" aria-hidden="true" focusable="false">
          <path d="M17.5 11.6L12 16l-5.5-4.4.9-1.2L12 14l4.5-3.6 1 1.2z"></path>
        </svg>
      </div>
    </div>
  </div>
);

export default TimeSlotField;


