import React from 'react';

const ExpectedDateInfo = ({
  baseUrl,
  enableIcon = false,
  iconUrl = '',
  imageWidth = '42',
  bgColor = '#EFF3F5',
  textColor = '#6d6d6d',
  expectedDateMessage
}) => {
  return (
    <div
      className="af-wc-daps-expected-info-div"
      style={{ backgroundColor: bgColor, color: textColor }}
    >
      {enableIcon && (
        <span className="af-wc-daps-expected-info-icon">
          <img src={iconUrl || baseUrl + '/assets/img/truck.png'} alt="Icon" style={{ width: imageWidth + 'px' }} />
        </span>
      )}
      <span className="af-wc-daps-expected-info-message">
        {expectedDateMessage}
      </span>
      <input
        type="hidden"
        name="af_wc_daps_expected_date_info_field"
        id="af_wc_daps_expected_date_info_field"
        value={expectedDateMessage}
      />
    </div>
  );
};

export default ExpectedDateInfo;
