
<?php


if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


register_setting( 'af-wc-daps-timezone-settings-group', 'af_wc_daps_timezone_settings' );
add_settings_section( 'af-wc-daps-timezone-section', '', '', 'af-wc-daps-timezone-settings' );

add_settings_field( 'af_wc_daps_use_default_timezone', __('Use Default Timezone', 'addify_daps'), 'af_wc_daps_use_default_timezone_callback' , 'af-wc-daps-timezone-settings', 'af-wc-daps-timezone-section' );
add_settings_field( 'af_wc_daps_timezone', __('Timezone', 'addify_daps'), 'af_wc_daps_timezone_callback' , 'af-wc-daps-timezone-settings', 'af-wc-daps-timezone-section' );
add_settings_field( 'af_wc_daps_buffer_time', __('Buffer Time', 'addify_daps'), 'af_wc_daps_buffer_time_callback' , 'af-wc-daps-timezone-settings', 'af-wc-daps-timezone-section' );


function af_wc_daps_use_default_timezone_callback() {
	$options = get_option( 'af_wc_daps_timezone_settings' );
	$current_datetime = current_datetime()->format('Y-m-d H:i:s');
	$utc_time = get_gmt_from_date($current_datetime);
	$value = isset( $options['af_wc_daps_use_default_timezone'] ) ? esc_attr( $options['af_wc_daps_use_default_timezone'] ) : '';
	echo "<label><input type='checkbox' name='af_wc_daps_timezone_settings[af_wc_daps_use_default_timezone]' class='af_wc_daps_use_default_timezone' value='1' " . checked( '1', $value, false ) . '></label>';
	echo '<p class=description>' . esc_html__( 'Check this to use default wordpress timezone.', 'addify_daps' ) . '</p>';
	echo '<span class="af_wc_daps_time"><br>Universal time is <code>' . esc_attr($utc_time) . '.</code></span>';
	echo '<span class="af_wc_daps_time"><br>Local time is <code>' . esc_attr($current_datetime) . '.</code></span>';
}

function af_wc_daps_timezone_callback() {
	$options = get_option( 'af_wc_daps_timezone_settings' );
	$value = isset( $options['af_wc_daps_timezone'] ) ? esc_attr( $options['af_wc_daps_timezone'] ) : '';
	?>
	<select name="af_wc_daps_timezone_settings[af_wc_daps_timezone]" class="af_wc_daps_timezone">
		<?php 
			$allowedposttags             = array();
			$allowed_atts                = array(
				'align'      => array(),
				'class'      => array(),
				'id'         => array(),
				'dir'        => array(),
				'lang'       => array(),
				'style'      => array(),
				'xml:lang'   => array(),
				'src'        => array(),
				'alt'        => array(),
				'href'       => array(),
				'rel'        => array(),
				'rev'        => array(),
				'target'     => array(),
				'novalidate' => array(),
				'type'       => array(),
				'value'      => array(),
				'name'       => array(),
				'tabindex'   => array(),
				'action'     => array(),
				'label'      => array(),
				'for'        => array(),
				'width'      => array(),
				'height'     => array(),
				'data'       => array(),
				'title'      => array(),
				'selected'   => array(),
			);
			$allowedposttags['option']   = $allowed_atts;
			$allowedposttags['optgroup'] = $allowed_atts;
			echo wp_kses( wp_timezone_choice( $value ), $allowedposttags ); 
			?>
	</select>
	<?php
	
	echo '<p class=description>' . esc_html__('Select timezone.', 'addify_daps') . '</p>';
}


function af_wc_daps_buffer_time_callback() {
	$options = get_option( 'af_wc_daps_timezone_settings' );
	$value = isset( $options['af_wc_daps_buffer_time'] ) ? esc_attr( $options['af_wc_daps_buffer_time'] ) : '';
	echo "<label><input type='number' min='1' name='af_wc_daps_timezone_settings[af_wc_daps_buffer_time]' value=" . esc_attr($value) . '> minutes</label>';
	echo '<p class=description>' . esc_html__( 'Add buffer time for timeslot (default:180) or leave blank for default value.', 'addify_daps' ) . '</p>';
	echo '<p class=description>' . esc_html__( 'This is the delay period after which available time slots will open up for booking. For example, with a 180 minutes buffer, slots will be available starting 3 hours from the current time.', 'addify_daps' ) . '</p>';
}






			   

